Bug 203984 - [maintainer] editors/wordgrinder: update to 0.6
Summary: [maintainer] editors/wordgrinder: update to 0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-23 14:25 UTC by Vitaly Magerya
Modified: 2015-11-07 16:20 UTC (History)
1 user (show)

See Also:


Attachments
wordgrinder-0.6.diff (3.73 KB, patch)
2015-10-23 14:25 UTC, Vitaly Magerya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2015-10-23 14:25:00 UTC
Created attachment 162395 [details]
wordgrinder-0.6.diff

Update editors/wordgrinder from 0.5.2 to 0.6.

There's a changelog at [1], but the biggest change is the addition
of X11 interface. I've made it optional and enabled by default.

I'd like to ask whoever is willing to commit this to test building
with and without the X11 option on a clean manchine, because
with this kind of change, I could have missed a dependency, or
mess up in some other way.

[1] https://github.com/davidgiven/wordgrinder/releases/tag/0.6
Comment 1 commit-hook freebsd_committer 2015-11-07 16:20:00 UTC
A commit references this bug:

Author: pawel
Date: Sat Nov  7 16:19:05 UTC 2015
New revision: 401004
URL: https://svnweb.freebsd.org/changeset/ports/401004

Log:
  - Update to version 0.6, now hosted on GitHub
  - Add X11 option, on by default
  - Refresh pkg-descr, new project homepage

  Changelog: https://github.com/davidgiven/wordgrinder/releases/tag/0.6

  PR:		203984
  Submitted by:	VItaly Magerya (maintainer)

Changes:
  head/editors/wordgrinder/Makefile
  head/editors/wordgrinder/distinfo
  head/editors/wordgrinder/pkg-descr